.switch-type-div .pk-overlay {
    width: 100%;
    height: 100%;
    position: fixed;
    background: #666;
    background: rgba(0, 0, 0, 0.4);
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 1110;
    transition: opacity .3s;
}

.switch-type-div .pk-overlay.-show {
    opacity: 1;
    visibility: visible;
}

.switch-type-div .pk-modal {
    transform: translateX(-50%) scale(0.8, 0.8);
    left: 50%;
    top: 15%;
    border-radius: 3%;
    position: fixed;
    width: 280px;
    overflow-y: auto;
    z-index: 1111;
    transition: all .3s;
    visibility: hidden;
    background: #dfdfdf;
    opacity: 0;
	line-height: 1.5;
	max-height: 70%
}

.switch-type-div .pk-modal {
    background: #fff;
}

.switch-type-div .pk-modal > .head {
    color: #fff;
    background: #5677FA;
    width: calc(100% - 20px);
    font-size: 18px;
    padding: 10px 10px;
    text-align: center
}

.switch-type-div .pk-modal.-show {
    transform: translateX(-50%) scale(1, 1);
    visibility: visible;
    opacity: 1;
    box-shadow: 1px 1px 20px 2px #888;
}

.switch-type-div .pk-option {
    cursor: pointer;
    padding: 14px 10px;
    width: calc(100% - 20px);
    border-bottom: 1px solid #efefef;
}

.switch-type-div .pk-option {
    border-bottom: 1px solid #efefef;
}

.switch-type-div .pk-option:last-child {
    border: none;
}

.switch-type-div .pk-modal > .main {
    list-style: none;
    text-align: center;
    padding-left: 0;
    margin-top: 0;
    margin-bottom: 0
}

.switch-type-div .-selected {
    background: #dfdfdf
}

/******************底部栏和切换栏***********************/
.detail-chapter{
    background: #fff;
    padding: 5px 15px;
    color: #666;
}
.detail-chapter div{
    margin: 10px 0;
}
.dark .detail-chapter{
    background: #2A2A2A;
    color: #fff;
}
.dark .cidian-detail{
    background: #2A2A2A;
    color: #fff;
}
.dark .detail{
    background: #2A2A2A;
    color: #fff;
}
.dark .detail-else{
    background: #2A2A2A;
    color: #fff;
}

.detail-chapter .title{
    font-size: 18px;
    padding: 10px 0;
    margin: 0;
    text-align: center;
}
.detail-chapter .content{

}
.detail-chapter .content blockquote{
    margin: 0 0 10px;
    padding: 0;
    color: #f60;
    display: none;
}

.detail-chapter .content p{
    margin: 0 0 10px;
    padding: 0;
}
.detail-chapter .content img{
    max-width: 100%;
}

.detail-chapter-foot{
    position: fixed;
    left: 0;
    right: 0;
    bottom: 0;
    background: #5677FA;
    height: 50px;
    font-size: 12px;
    text-align: center;
    color: #fff;
}
.dark .detail-chapter-foot{
    background: #0D0D0D;
}

.detail-chapter-foot .li{
    width: 25%;
    float: left;
    height: 50px;
}
.detail-chapter-foot .li.active{
    background: #455FC8;
}
.dark .detail-chapter-foot .li.active{
    background: #353535;
}
.detail-chapter-foot .li img{
    display: block;
    margin: 0 auto;
    margin-top: 10px;
}
.detail-chapter-foot .li span{
    padding-top: 2px;
}
.detail-chapter-foot_replace{
    height: 50px;
}
.detail-chapter-foot-pop{
    display: none;
    line-height: 32px;
    padding: 5px 0;
}
.detail-chapter-foot-pop.xuanxiang{
    position: fixed;
    left: 0;
    right: 0;
    background: #fff;
    bottom: 50px;
    z-index: 999;
    border-top: 1px solid #eee;
}
.dark .detail-chapter-foot-pop.xuanxiang{
    background: #0D0D0D;
    color: #fff;
}
.detail-chapter-foot-pop.xuanxiang>.li{
    padding: 5px 15px;
}
.detail-chapter-foot-pop.xuanxiang>.li .name{
    padding-right: 10px;
}
.detail-chapter-foot-pop.xuanxiang .as{}
.detail-chapter-foot-pop.xuanxiang .as .li{
    width: 50%;
    float: left;
}
.detail-chapter-foot-pop.xuanxiang .as a{
    display: block;
    border: 1px solid #eee;
    border-radius: 5px;
    font-size: 16px;
    text-align: center;
    margin: 0 10px;
    color: #333;
}
.dark .detail-chapter-foot-pop.xuanxiang .as a{
    color: #fff;
}
.detail-chapter-foot-pop.xuanxiang .as a.active,.detail-chapter-foot-pop.xuanxiang .as a:active{
    background: #5677FA;
    color: #fff;
}
.dark .detail-chapter-foot-pop.xuanxiang .as a.active,.dark .detail-chapter-foot-pop.xuanxiang .as a:active{
    background: #fff;
    color: #666;
}

.switch_play{
    font-size: 14px;
    line-height: 30px;
    margin: 5px;
    text-align: center;
    color: #666;
}

.show{display:block;}
.switch_play.show {display: flex;}
.switch_play .title {
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    white-space: nowrap;
}
.switch_play #switch_type_page, .switch_play #switch_more_content{
    float: right;
    margin: 0 5px;
    color: #5677FA;
    border: 1px solid;
    border-radius: 5px;
    font-size: 2.8vw;
    padding: 0 2px;
    height: 30px;
    line-height: 30px;
    width: 24%;
    font-weight: bold;
}

/*右侧按钮*/
.xfRight {
    width: 30px;
    margin-right: 0;
    height: auto;
    position: fixed;
    top: 42%;
    right: 1%;
    border: 1px solid #99918a;
    border-radius: 5px;
}
.xfRight a {
    height: 28px;
    width: 100%;
    display: block;
    position: relative;
}
.xfRight a img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}
.xfRight a.up {
    border-bottom: 1px solid #99918a;
}


/********音频播放器***********/
#player {
    border-radius: 20px;
    background: #80808087;
    height: 90px;
    padding: 15px;
    max-width: 85%;
    margin: 10px auto 5px;
    position: relative;
}
#player .ctrl {text-shadow: 0 1px 2px #000;line-height: 16px;}
#player .left {float: left;}
#player .right {float: right;}
#player .ctrl .tag strong, #player .ctrl .tag span {display: block;text-overflow: ellipsis;}
#player .ctrl .tag span {font-size: 12px;margin-top: 5px;color: #ccc;}
#player .ctrl .icon {
    background-repeat: no-repeat;
    background-position: center;
    display: inline-block;
    opacity: 0.6;
    cursor: pointer;
    width: 24px;
    height: 24px;
    -moz-transition: 0.3s;
    -webkit-transition: 0.3s;
    -o-transition: 0.3s;
    transition: 0.3s;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -o-user-select: none;
    user-select: none;
}
#player .ctrl .icon:hover, #player .ctrl .icon.enable {opacity: 1;}
#player .ctrl .icon:active {opacity: 0.3;}
#player .ctrl .control {margin-top: 10px;height: 25px;}
#player .ctrl .control .rewind {background-image: url(../images/rewind.png);}
#player .ctrl .control .playback {background-image: url(../images/play_new.png);}
#player .ctrl .control .playback.playing {background-image: url(../images/pause.png);}
#player .ctrl .control .fastforward {background-image: url(../images/fastforward.png);}
#player .ctrl .control .volume .mute {background-image: url(../images/volume.png);}
#player .ctrl .control .volume .mute.enable {background-image: url(../images/mute.png);}
#player .ctrl .control .volume {width: 50%;}
#player .ctrl .control .volume .slider {margin-top: 11px;margin-left: 10px;width: 70%;}
#player .ctrl .progress {margin-top: 10px;}
#player .ctrl .progress .timer {font-size: 12px;color: #ccc;margin-top: 7px;}
#player .ctrl .progress .timer.right{padding-left: 5px;}
#player .ctrl .progress .repeat, #player .ctrl .progress .shuffle {background-position: center bottom;}
#player .ctrl .progress .repeat {background-image: url(../images/repeat.png);}
#player .ctrl .progress .repeat.once, #player .ctrl .progress .repeat.all {opacity: 1;}
#player .ctrl .progress .repeat.once {position: relative;}
#player .ctrl .progress .repeat.once:before {
    content: "1";
    position: absolute;
    top: 3px;
    right: -2px;
    font-size: 8px;
}
#player .ctrl .progress .shuffle {background-image: url(../images/shuffle.png);}
#player .slider {
    background: rgba(0, 0, 0, 0.3);
    height: 5px;
    position: relative;
    cursor: pointer;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    -o-border-radius: 5px;
    -ms-border-radius: 5px;
    -khtml-border-radius: 5px;
    border-radius: 5px;
    -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5) inset;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5) inset;
    -o-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5) inset;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.5) inset;
}
#player .slider:hover a, .slider.enable a {opacity: 1;}
#player .slider a {
    background: #fff;
    margin-left: -2.5px;
    position: absolute;
    opacity: 0;
    width: 5px;
    height: 5px;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    -o-border-radius: 50%;
    -ms-border-radius: 50%;
    -khtml-border-radius: 50%;
    border-radius: 50%;
    -moz-transition: opacity 0.3s;
    -webkit-transition: opacity 0.3s;
    -o-transition: opacity 0.3s;
    transition: opacity 0.3s;
}
#player .slider .loaded, .slider .pace {
    position: absolute;
    height: 100%;
    opacity: 0.7;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    -o-border-radius: 5px;
    -ms-border-radius: 5px;
    -khtml-border-radius: 5px;
    border-radius: 5px;
}
#player .slider .loaded {background: rgba(255, 255, 255, 0.1);}
#player .slider .pace {background: #258fb8;}
#player .playbackRate{width: 50px;margin-top: 8px;margin-left: 10px;}

